
ChiliProject - Bug # 1223: reposman.rb fails after update from v3.3.0 to 3.6.0

Status: Closed Priority: Normal
Author: Jan F Westerkamp Category:
Created: 2013-02-03 Assignee:
Updated: 2013-03-19 Due date:
Remote issue URL:
Affected version: 3.6.0
Description: After upgrading from version 3.3.0 to 3.6.0 my cronjob calling reposman.rb fails. Same thing calling it 

manually from the command line.

 /opt/chiliproject/extra/svn/reposman.rb --redmine mychili.url --svn-dir /repos --owner www-data --group root 
--url file:///repos --key='abcd'
 Unable to connect to http://mychili.url/sys/: Disallowed type attribute: "yaml"

Chiliproject is running on debian squeeze, with ruby 1.8.7 (2010-08-16 patchlevel 302)

Might this be related to http://techtime.getharvest.com/blog/activeresource-xml-bug-fix-for-rails-3-dot-0-19 and 
not a bug in chiliproject?

Associated revisions
2010-02-28 10:43 am - Jean-Philippe Lang 
Adds attachments upload on wiki edit form (#1223).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@3500 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2013-02-16 10:11 am - Jan F Westerkamp
- Target version set to 3.8.0

2013-02-20 09:33 pm - Holger Just
- Status changed from Open to Needs more information

Can you please check if this is still an issue on ChiliProject 3.7.0? From my tests, the Rails update should have fixed this issue.

2013-02-21 07:50 am - Jan F Westerkamp
My three installations still show the same error with rails 2.3.17 and ChiliProject version 3.7.0.63976e652 (MySQL)

2013-02-21 12:44 pm - Holger Just
I'm sorry, I still can't reproduce it. Could you please check if you have any custom plugins installed which are not part of ChiliProject core? If so, please 
temporarily remove them and check if the issue persists.

2013-02-21 12:49 pm - Holger Just
As a side-remark: the current-until-10-minutes-ago version of my redmine_checkout plugin provoked exactly this behaviour. Thanks to Jens Ulferts, this 
should be fixed in the current master.

2013-02-21 01:41 pm - Jan F Westerkamp
Actually, I am using your redmine_checkout plugin in all my installations. I'll post the results once I'm done testing.

2013-02-21 02:00 pm - Jan F Westerkamp
- Status changed from Needs more information to Closed

Removing the redmine_checkout plugin does solve the problem. Looking forward to the next release of redmine_checkout ;-)

2013-02-21 06:10 pm - Holger Just
I honestly don't known when a new release is coming, but cou could try the "curent master":https://github.com/meineerde/redmine_checkout of the 
plugin which solve the issue.

2013-02-21 07:07 pm - Jan F Westerkamp
Thanks for your help and the updated plugin, which is now up and running again.

2013-03-19 09:55 pm - Felix Schäfer
- Target version deleted (3.8.0)

Pulling out of 3.8.0 as it wasn't a problem with ChiliProject proper.
